Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/webhooks/validatestravawebhook

# Strava webhook subscription validation

GET `https://api.rewind.rest/v1/webhooks/strava`

Validates a Strava webhook subscription by echoing back the hub.challenge parameter. No auth required.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### hub.mode (query, string)

#### hub.challenge (query, string)

#### hub.verify\_token (query, string)

## Response

#### 200

Subscription validation successful

#### hub.challenge (string, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/webhooks/strava' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/webhooks/strava', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/webhooks/strava',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "hub.challenge": "string"
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```
